New Tumbleweed snapshot 20170612 released!

classic Classic list List threaded Threaded
9 messages Options
Reply | Threaded
Open this post in threaded view
|

New Tumbleweed snapshot 20170612 released!

Dominique Leuenberger

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20170612

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
  NetworkManager
  PackageKit (1.1.5 -> 1.1.6)
  akonadi-calendar (17.04.1 -> 17.04.2)
  akonadi-calendar-tools (17.04.1 -> 17.04.2)
  akonadi-contact (17.04.1 -> 17.04.2)
  akonadi-mime (17.04.1 -> 17.04.2)
  akonadi-notes (17.04.1 -> 17.04.2)
  akonadi-search (17.04.1 -> 17.04.2)
  akonadi-server (17.04.1 -> 17.04.2)
  akregator (17.04.1 -> 17.04.2)
  ark (17.04.1 -> 17.04.2)
  audiofile
  autoyast2 (3.2.15 -> 3.2.16)
  baloo5-widgets (17.04.1 -> 17.04.2)
  bijiben (3.21.2 -> 3.24.0)
  bzip2
  cairo
  calendarsupport (17.04.1 -> 17.04.2)
  crash (7.1.8_k4.11.3_1 -> 7.1.8_k4.11.4_1)
  dolphin (17.04.1 -> 17.04.2)
  dragonplayer (17.04.1 -> 17.04.2)
  elfutils
  eventviews (17.04.1 -> 17.04.2)
  file
  glibmm2_4 (2.50.0 -> 2.50.1)
  gnome-packagekit
  gnome-shell
  grantleetheme (17.04.1 -> 17.04.2)
  gwenhywfar
  gwenview5 (17.04.1 -> 17.04.2)
  incidenceeditor (17.04.1 -> 17.04.2)
  k3b (17.04.1 -> 17.04.2)
  kaccounts-integration (17.04.1 -> 17.04.2)
  kaccounts-providers (17.04.1 -> 17.04.2)
  kaddressbook (17.04.1 -> 17.04.2)
  kalarmcal (17.04.1 -> 17.04.2)
  kamera (17.04.1 -> 17.04.2)
  kate (17.04.1 -> 17.04.2)
  kcalc (17.04.1 -> 17.04.2)
  kcalcore (17.04.1 -> 17.04.2)
  kcalutils (17.04.1 -> 17.04.2)
  kcharselect (17.04.1 -> 17.04.2)
  kcolorchooser (17.04.1 -> 17.04.2)
  kcontacts (17.04.1 -> 17.04.2)
  kdav (17.04.1 -> 17.04.2)
  kdebase4-runtime (17.04.1 -> 17.04.2)
  kdelibs4 (4.14.32 -> 4.14.33)
  kdenetwork4-filesharing (17.04.1 -> 17.04.2)
  kdepim-addons (17.04.1 -> 17.04.2)
  kdepim-apps-libs (17.04.1 -> 17.04.2)
  kdepim-runtime (17.04.1 -> 17.04.2)
  kdialog (17.04.1 -> 17.04.2)
  kdnssd (17.04.1 -> 17.04.2)
  kernel-source (4.11.3 -> 4.11.4)
  kget (17.04.1 -> 17.04.2)
  kgpg (17.04.1 -> 17.04.2)
  khelpcenter5 (17.04.1 -> 17.04.2)
  kholidays (17.04.1 -> 17.04.2)
  kidentitymanagement (17.04.1 -> 17.04.2)
  kimap (17.04.1 -> 17.04.2)
  kio-extras5 (17.04.1 -> 17.04.2)
  kio_audiocd (17.04.1 -> 17.04.2)
  kldap (17.04.1 -> 17.04.2)
  kleopatra (17.04.1 -> 17.04.2)
  kmag (17.04.1 -> 17.04.2)
  kmail (17.04.1 -> 17.04.2)
  kmail-account-wizard (17.04.1 -> 17.04.2)
  kmailtransport (17.04.1 -> 17.04.2)
  kmbox (17.04.1 -> 17.04.2)
  kmime (17.04.1 -> 17.04.2)
  kmousetool (17.04.1 -> 17.04.2)
  knotes (17.04.1 -> 17.04.2)
  kompare (17.04.1 -> 17.04.2)
  konqueror (17.04.1 -> 17.04.2)
  konsole (17.04.1 -> 17.04.2)
  kontact (17.04.1 -> 17.04.2)
  kontactinterface (17.04.1 -> 17.04.2)
  kopete (17.04.1 -> 17.04.2)
  korganizer (17.04.1 -> 17.04.2)
  kpimtextedit (17.04.1 -> 17.04.2)
  kqtquickcharts (17.04.1 -> 17.04.2)
  krdc (17.04.1 -> 17.04.2)
  krfb (17.04.1 -> 17.04.2)
  krita
  kruler (17.04.1 -> 17.04.2)
  ktnef (17.04.1 -> 17.04.2)
  ktp-accounts-kcm (17.04.1 -> 17.04.2)
  ktp-approver (17.04.1 -> 17.04.2)
  ktp-auth-handler (17.04.1 -> 17.04.2)
  ktp-common-internals (17.04.1 -> 17.04.2)
  ktp-contact-list (17.04.1 -> 17.04.2)
  ktp-contact-runner (17.04.1 -> 17.04.2)
  ktp-desktop-applets (17.04.1 -> 17.04.2)
  ktp-filetransfer-handler (17.04.1 -> 17.04.2)
  ktp-kded-module (17.04.1 -> 17.04.2)
  ktp-send-file (17.04.1 -> 17.04.2)
  ktp-text-ui (17.04.1 -> 17.04.2)
  kwalletmanager5 (17.04.1 -> 17.04.2)
  libass (0.13.6 -> 0.13.7)
  libgme (0.6.0 -> 0.6.1)
  libgravatar (17.04.1 -> 17.04.2)
  libgtop
  libgweather (3.24.0 -> 3.24.1)
  libkcddb (17.04.1 -> 17.04.2)
  libkcompactdisc (17.04.1 -> 17.04.2)
  libkdcraw (17.04.1 -> 17.04.2)
  libkdepim (17.04.1 -> 17.04.2)
  libkexiv2 (17.04.1 -> 17.04.2)
  libkface (17.04.1 -> 17.04.2)
  libkgapi (17.04.1 -> 17.04.2)
  libkgeomap (17.04.1 -> 17.04.2)
  libkipi (17.04.1 -> 17.04.2)
  libkleo (17.04.1 -> 17.04.2)
  libkomparediff2 (17.04.1 -> 17.04.2)
  libksane (17.04.1 -> 17.04.2)
  libksieve (17.04.1 -> 17.04.2)
  libverto
  mailcommon (17.04.1 -> 17.04.2)
  mailimporter (17.04.1 -> 17.04.2)
  marble (17.04.1 -> 17.04.2)
  messagelib (17.04.1 -> 17.04.2)
  mobipocket (17.04.1 -> 17.04.2)
  mpfr
  okular (17.04.1 -> 17.04.2)
  opencv (3.1.0 -> 3.2.0)
  opencv-qt5 (3.1.0 -> 3.2.0)
  openvpn (2.3.14 -> 2.4.2)
  pcre
  pimcommon (17.04.1 -> 17.04.2)
  signon-kwallet-extension (17.04.1 -> 17.04.2)
  spec-cleaner (0.9.6 -> 0.9.7)
  spectacle (17.04.1 -> 17.04.2)
  sweeper (17.04.1 -> 17.04.2)
  syndication (17.04.1 -> 17.04.2)
  systemd-rpm-macros
  telegram-purple
  totem
  tracker
  tracker-extras
  vinagre
  wodim
  xlockmore (5.45 -> 5.54)
  yast2-storage (3.2.14 -> 3.2.15)
  yast2-trans (84.87.20161108.95adeff -> 84.87.20170607.40033d88)

=== Details ===

==== NetworkManager ====
Subpackages: NetworkManager-devel libnm-glib-vpn1 libnm-glib4 libnm-util2 libnm0 typelib-1_0-NM-1_0 typelib-1_0-NMClient-1_0 typelib-1_0-NetworkManager-1_0

- Add nm-dont-overwrite-resolv-conf.patch: Fix NetworkManager
  overwriting /etc/resolv.conf (bsc#960153, bsc#1021665).

==== PackageKit ====
Version update (1.1.5 -> 1.1.6)
Subpackages: PackageKit-backend-zypp PackageKit-gstreamer-plugin PackageKit-gtk3-module libpackagekit-glib2-18 typelib-1_0-PackageKitGlib-1_0

- Update to version 1.1.6:
  + New Feature: Add new status "Running hooks".
  + Bugfixes:
  - Checks NULL strings inside pk_progress_bar_start.
  - Fix segfault when config file is not found.
  - Return success to avoid reboot in pk-offline-update.
  - Use g_printerr() for errors instead g_print().
  - Various tweaks to the offline-updates service file.
  + Backends: fixes for alpm, aptcc and dnf.

==== akonadi-calendar ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== akonadi-calendar-tools ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== akonadi-contact ====
Version update (17.04.1 -> 17.04.2)
Subpackages: libKF5AkonadiContact5

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== akonadi-mime ====
Version update (17.04.1 -> 17.04.2)
Subpackages: libKF5AkonadiMime5

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== akonadi-notes ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== akonadi-search ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== akonadi-server ====
Version update (17.04.1 -> 17.04.2)
Subpackages: akonadi-server-sqlite libKF5AkonadiAgentBase5 libKF5AkonadiCore5 libKF5AkonadiPrivate5 libKF5AkonadiWidgets5 libKF5AkonadiXml5

- Add upstream patch pass-source-collection-to-move-mails.diff
  * Fix mails not being removed from list when deleted (kde#380182)
- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * Fix crash when Connection is terminated before init() (kde#379809)

==== akregator ====
Version update (17.04.1 -> 17.04.2)
Subpackages: akregator-lang

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== ark ====
Version update (17.04.1 -> 17.04.2)
Subpackages: libkerfuffle17

- Add patch to remove stray $ from supported MimeType list:
  * 0001-Remove-stray-from-mime-type-list-of-the-libzip-plugi.patch
- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * Don't crash when dropping twice invalid URLs on empty archive view
  * part: update actions when settings change
  * Respect file size limit when double cliclking
  * Fix crash when renaming top-level entries (kde#379802)
- Add upstream commit from master to improve previewer (kde#380439):
  * 0001-Make-ArkViewer-a-KPart-mainwindow.patch

==== audiofile ====
Subpackages: audiofile-devel libaudiofile1

- Add 0001-Always-check-the-number-of-coefficients.patch to put in code
  an assert that was removed when building the code for a release
  which checks the number of coeficients in WAVE.cpp .
- Add 0002-Check-for-multiplication-overflow-in-MSADPCM-decodeS.patch
  to check for a multiplication overflow in MSADPCM.cpp .
- Add 0003-Check-for-multiplication-overflow-in-sfconvert.patch to
  check that a multiplication doesn't overflow when calculating a
  buffer size and reduce it if necessary.
- Add 0004-clamp-index-values-to-fix-index-overflow-in-IMA.cpp.patch
  to clamp index values to fix an index overflow in IMA.cpp .
- Add 0005-Actually-fail-when-error-occurs-in-parseFormat.patch
  so when there's an unsupported number of bits per sample or an invalid
  number of samples per block, don't only print an error message using
  the error handler, but actually stop parsing the file.
- Add 0006-Check-for-division-by-zero-in-BlockCodec-runPull.patch to
  check for division by zero in BlockCodec::runPull
- These patches fix boo#1026978 (CVE-2017-6837, CVE-2017-6838,
  CVE-2017-6839), boo#1026979 (CVE-2017-6827),
  boo#1026980 (CVE-2017-6828), boo#1026981 (CVE-2017-6829),
  boo#1026982 (CVE-2017-6830), boo#1026983 (CVE-2017-6831),
  boo#1026984 (CVE-2017-6832), boo#1026985 (CVE-2017-6833),
  boo#1026986 (CVE-2017-6834), boo#1026987 (CVE-2017-6836),
  boo#1026988 (CVE-2017-6835).

==== autoyast2 ====
Version update (3.2.15 -> 3.2.16)
Subpackages: autoyast2-installation

- Report shrinked partitions if there is not enough space.
  (bnc#1039528)
- 3.2.16

==== baloo5-widgets ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== bijiben ====
Version update (3.21.2 -> 3.24.0)
Subpackages: bijiben-lang gnome-shell-search-provider-bijiben

- Update to version 3.24.0:
  + Update settings dialog.
  + Convert WebKitGTK+ v.1 notes to v.2.
  + Fix wrong references to bijiben desktop file.
  + Update build files.
  + Port to WebKitGTK+ v.2.
  + Improve how to handle open files.
  + Remove dependancy on libedataserverui.
  + Allow build in non-srcdir.
  + Transform editor toolbar to an action bar.
  + Memory leaks fixes and code clean-up.
  + Updated translations.
- Replace pkgconfig(webkitgtk-3.0) with pkgconfig(webkit2gtk-4.0)
  BuildRequires following upstreams port.
- Drop pkgconfig(libedataserverui-1.2) BuildRequires, no longer
  needed nor required.
- Pass --disable-Werror to configure, fix build (bgo#783465).

==== bzip2 ====
Subpackages: libbz2-1 libbz2-1-32bit libbz2-devel

- Drop implicit pie building
- Try profiled build
- Move autoreconf to build section

==== cairo ====
Subpackages: cairo-devel libcairo-gobject2 libcairo-script-interpreter2 libcairo2 libcairo2-32bit

- Add cairo-get_bitmap_surface-bsc1036789-CVE-2017-7475.diff to
  fix a segfault in get_bitmap_surface due to malformed font
  (bsc#1036789, fdo#100763, CVE-2017-7475).

==== calendarsupport ====
Version update (17.04.1 -> 17.04.2)
Subpackages: libKF5CalendarSupport5

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * Fix potential crash on wayland

==== crash ====
Version update (7.1.8_k4.11.3_1 -> 7.1.8_k4.11.4_1)

- Merge SLE changes into Factory (bsc#1041638)

==== dolphin ====
Version update (17.04.1 -> 17.04.2)
Subpackages: dolphin-part libdolphinvcs5

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * Correct searchbox, split view transitions between tabs (kde#379135, kde#380032)

==== dragonplayer ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== elfutils ====
Subpackages: libasm1 libdw1 libelf1 libelf1-32bit

- Update Git-Clone URL

==== eventviews ====
Version update (17.04.1 -> 17.04.2)
Subpackages: libKF5EventViews5

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== file ====
Subpackages: file-devel file-magic libmagic1 libmagic1-32bit

- add file-5.31-fix-tga.dif upstream commited after I reported
  a failure in File::Unpack's test suite

==== glibmm2_4 ====
Version update (2.50.0 -> 2.50.1)
Subpackages: glibmm2_4-devel libgiomm-2_4-1 libglibmm-2_4-1

- Update to version 2.50.1:
  + Glib: Dispatcher: Don't cast a HANDLE to an int on Windows
    (bgo#772074).
  + Gio:
  - Action: Include variant.h in the header (bgo#777953).
  - Application::get_default(): Correct the refcounting
    (bgo#779936).
  - SettingsSchemaSource: Correct the refcounting (bgo#774593).
  + Gio::DBus: Proxy: Fix memory leak in
    get_cached_property_names() (bgo#775210).
  + Documentation:
  - Glib::Variant: Improve documentation of "maybe" types
    (bgo#778219).
  - Gio::ActionMap: Clarify doc of ActivateWithParameterSlot.
  + Build:
  - C++11: Variant: Replace throw(std::bad_cast) with
    noexcept(false) (rh#1438766).
  - Visual Studio: Install the .pdb files.

==== gnome-packagekit ====

- Add gnome-packagekit-fix-not-responding-after-update.patch: Fix
  gpk-update-viewer not responding after installing all available
  updates (bgo#782673, bsc#1036542).

==== gnome-shell ====
Subpackages: gnome-shell-browser-plugin gnome-shell-calendar

- Add gnome-shell-portalhelper-fixes.patch:
  + Don't go through proxies for captive portals (bgo#769692).
  + Fix auth URI not being passed to window (bgo#783286).

==== grantleetheme ====
Version update (17.04.1 -> 17.04.2)
Subpackages: libKF5GrantleeTheme5

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== gwenhywfar ====
Subpackages: gwenhywfar-devel gwenhywfar-lang libgwengui-cpp0 libgwengui-fox16-0 libgwengui-gtk2-0 libgwengui-qt4-0 libgwenhywfar60 libgwenhywfar60-plugins

- Enable Qt5 front-end

==== gwenview5 ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * Fix Enter and Escape keys in tool dialogs (crop, red eye) (kde#313806)
  * Fixed persistence of "Show Status Bar" action status
  * Add keyboard shortcut for statusbar toggling option
  * Re-enable all tests
  * Fix crop region size (kde#340459)
  * Re-enable importertest
  * Avoid data loss when importing pictures (kde#379615)
- Drop upstreamed patches:
  * fix-importer.patch

==== incidenceeditor ====
Version update (17.04.1 -> 17.04.2)
Subpackages: libKF5IncidenceEditor5

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== k3b ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== kaccounts-integration ====
Version update (17.04.1 -> 17.04.2)
Subpackages: libkaccounts1

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== kaccounts-providers ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== kaddressbook ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== kalarmcal ====
Version update (17.04.1 -> 17.04.2)
Subpackages: libKF5AlarmCalendar5

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== kamera ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== kate ====
Version update (17.04.1 -> 17.04.2)
Subpackages: kate-plugins

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== kcalc ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== kcalcore ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== kcalutils ====
Version update (17.04.1 -> 17.04.2)
Subpackages: libKF5CalendarUtils5

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * Fix potential crash
  * src/icaldrag.cpp - don't crash if QMimeData is null BUG: 379534 (kde#379534)

==== kcharselect ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== kcolorchooser ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== kcontacts ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * Fix potential crash

==== kdav ====
Version update (17.04.1 -> 17.04.2)
Subpackages: libKPimKDAV5

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * Add missing include

==== kdebase4-runtime ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== kdelibs4 ====
Version update (4.14.32 -> 4.14.33)
Subpackages: kdelibs4-core libkde4 libkdecore4 libksuseinstall1

- Update to 4.14.33
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 4.14.32:
  * Prepare for 4.14.33

==== kdenetwork4-filesharing ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== kdepim-addons ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * Fix Bug 379988 - TNEF attachments not properly represented in UI (kde#379988)
  * Make sure that it's not empty
  * Make sure that we don't add empty str
  * Add autotests
  * Fix list of emails

==== kdepim-apps-libs ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * lintcmake include find dependency before using it http://build.neon.kde.org/job/xenial_unstable_applications_kdepim-apps-libs_lintcmake/4/testReport/

==== kdepim-runtime ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * IMAP: allow creating top-level folders it User namespace is empty (kde#339567)
  * Fix Bug 379155 - Imap resources crash when trying to open settings (kde#379155)
  * Add missing include
  * Enable by default store locally emails
- Drop upstreamed patches:
  * add-missing-include.patch
  * fix-crash-when-configuring-IMAP-resources.patch
  * IMAP-allow-creating-top-level-folders-if-User-namespace-is-empty.patch
- Add IMAP-allow-creating-top-level-folders-if-User-namespace-is-empty.patch
  to fix creating/deleting top-level folders on certain IMAP servers
  (kde#339576)

==== kdialog ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== kdnssd ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== kernel-source ====
Version update (4.11.3 -> 4.11.4)
Subpackages: kernel-default kernel-default-devel kernel-devel kernel-docs kernel-macros kernel-syms

- Linux 4.11.4 (CVE-2017-8890 CVE-2017-9074 CVE-2017-9075
  CVE-2017-9076 CVE-2017-9077 CVE-2017-9211 CVE-2017-9242
  bnc#1012628 bsc#1038544 bsc#1039882 bsc#1039883 bsc#1039885
  bsc#1040069 bsc#1040389 bsc#1041431).
- Delete
  patches.fixes/crypto-skcipher-Add-missing-API-setkey-checks.
- Delete
  patches.fixes/dccp-tcp-do-not-inherit-mc_list-from-parent.patch.
- Delete
  patches.fixes/ipv6-Check-ip6_find_1stfragopt-return-value-properly.patch.
- Delete
  patches.fixes/ipv6-Prevent-overrun-when-parsing-v6-header-options.patch.
- Delete
  patches.fixes/ipv6-dccp-do-not-inherit-ipv6_mc_list-from-parent.patch.
- Delete
  patches.fixes/ipv6-fix-out-of-bound-writes-in-__ip6_append_data.patch.
- Delete
  patches.fixes/sctp-do-not-inherit-ipv6_-mc-ac-fl-_list-from-parent.patch.
- commit cba98ee
- series.conf: better section label (networking core)
- commit 3a35823
- ipv6: fix out of bound writes in __ip6_append_data()
  (CVE-2017-9242 bsc#1041431).
- commit 26cd5c8
- drm/vmwgfx: limit the number of mip levels in
  vmw_gb_surface_define_ioctl() (CVE-2017-7346 bsc#1031796).
- commit dfa88a5
- Update
  patches.fixes/0001-SUNRPC-Refactor-svc_set_num_threads.patch
  (bsc#1039674 CVE-2017-9059).
- Update
  patches.fixes/0002-NFSv4-Fix-callback-server-shutdown.patch
  (bsc#1039674 CVE-2017-9059).
  Fix References tags.
- commit bf7afe3
- Refresh
  patches.drivers/e1000e-Don-t-return-uninitialized-stats.patch.
  Fix incorrect tag.
- commit 7bbd095
- NFSv4: Fix callback server shutdown (bsc#1039675,
  CVS#2017-9059).
- SUNRPC: Refactor svc_set_num_threads() (bsc#1039675,
  CVS#2017-9059).
- commit 596757c
- config: arm64: Make PINCTRL_SINGLE built-in
  This fixes serial console on the HiKey board (bsc#1040492).
  (cherry picked from commit 02f57029be80cfec078617f5dbb4022ea5931ac3)
- commit 36186ce

==== kget ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== kgpg ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== khelpcenter5 ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== kholidays ====
Version update (17.04.1 -> 17.04.2)

- Add upstream patch revert-turkish-holiday-update.patch:
  * Revert changes to Turkish holidays, as they cause Plasma to
    crash on startup
- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * Update Turkish Holiday File (EN and TR) Differential Revision: https://phabricator.kde.org/D6009

==== kidentitymanagement ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * Fix potential crash

==== kimap ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * Add sasl include (need by windows)
  * Define getPid on windows too
  * Fix sasl include dir

==== kio-extras5 ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== kio_audiocd ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== kldap ====
Version update (17.04.1 -> 17.04.2)
Subpackages: libKF5Ldap5

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== kleopatra ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== kmag ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== kmail ====
Version update (17.04.1 -> 17.04.2)
Subpackages: kmail-application-icons

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * Make sure that we use plugin when we use sendlater feature
  * Remove old option
  * Add missing helper_p include
  * Fix list when we have empty string
  * Fix create list of emails
  * Fix typo
  * Rename methods
- Dropped upstreamed patches:
  * 0001-Add-missing-helper_p-include.patch

==== kmail-account-wizard ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== kmailtransport ====
Version update (17.04.1 -> 17.04.2)
Subpackages: libKF5MailTransport5 libKF5MailTransportAkonadi5

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== kmbox ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== kmime ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * Make it compile on windows
  * Look at to make it compile on windows

==== kmousetool ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== knotes ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== kompare ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== konqueror ====
Version update (17.04.1 -> 17.04.2)
Subpackages: konqueror-devel konqueror-lang

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== konsole ====
Version update (17.04.1 -> 17.04.2)
Subpackages: konsole-part

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None
- Add a patch to fix an issue with the manage profiles option:
  * 0001-Make-KonsolePart-s-Manage-Profiles-dialog-name-uniqu.patch
- Add patch to bring back the manage profiles option, needed by
  yakuake (kde#360072):
  * 0001-Fix-Manage-Profiles-option-from-KonsolePart.patch

==== kontact ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== kontactinterface ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== kopete ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== korganizer ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== kpimtextedit ====
Version update (17.04.1 -> 17.04.2)
Subpackages: libKF5PimTextEdit5

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * Improve removequotes
  * Use QRegularExpression
  * Fix remove quote when we have just a "<quote>\n"

==== kqtquickcharts ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== krdc ====
Version update (17.04.1 -> 17.04.2)
Subpackages: krdc-lang

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== krfb ====
Version update (17.04.1 -> 17.04.2)
Subpackages: krfb-lang

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== krita ====
Subpackages: krita-lang

- Remove filler wording from description.

==== kruler ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== ktnef ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== ktp-accounts-kcm ====
Version update (17.04.1 -> 17.04.2)
Subpackages: libktpaccountskcminternal9

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== ktp-approver ====
Version update (17.04.1 -> 17.04.2)
Subpackages: ktp-approver-lang

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== ktp-auth-handler ====
Version update (17.04.1 -> 17.04.2)
Subpackages: ktp-auth-handler-lang

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== ktp-common-internals ====
Version update (17.04.1 -> 17.04.2)
Subpackages: ktp-common-internals-lang ktp-icons

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== ktp-contact-list ====
Version update (17.04.1 -> 17.04.2)
Subpackages: ktp-contact-list-lang

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== ktp-contact-runner ====
Version update (17.04.1 -> 17.04.2)
Subpackages: ktp-contact-runner-lang

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== ktp-desktop-applets ====
Version update (17.04.1 -> 17.04.2)
Subpackages: ktp-desktop-applets-lang

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== ktp-filetransfer-handler ====
Version update (17.04.1 -> 17.04.2)
Subpackages: ktp-filetransfer-handler-lang

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== ktp-kded-module ====
Version update (17.04.1 -> 17.04.2)
Subpackages: ktp-kded-module-lang

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== ktp-send-file ====
Version update (17.04.1 -> 17.04.2)
Subpackages: ktp-send-file-lang

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== ktp-text-ui ====
Version update (17.04.1 -> 17.04.2)
Subpackages: ktp-text-ui-lang

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== kwalletmanager5 ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== libass ====
Version update (0.13.6 -> 0.13.7)

- Update to version 0.13.7
  * Fix invalid memory accesses with BorderStyle=4
  * Fix change detection bug on frame resizes
  * Fix cache bugs with border size
  * Reduce precision of border width in font outline caching
  * Don't treat :;<=>? as hexadecimal digits in color headers
  * Fix parsing of unusual Alignment values in ASS style definitions
  * Fix potential truncation in timestamp parsing
  * Treat negative PlayResX/PlayResY like VSFilter
  * Fixes to parsing of embedded fonts
  * Remove arbitrary bitmap limit (fixes issues with subtitle rendering at 4K)
  * Allow using shadow offset to adjust size of background with BorderStyle=4

==== libgme ====
Version update (0.6.0 -> 0.6.1)

- Update to 0.6.1:
  * "libgme-0.6.0-pkgconfig_path.patch" and "cve-2016-9957.patch"
    got fixed upstream
  * Following functions added to API:
  - gme_tell_samples();
  - gme_seek_samples();

==== libgravatar ====
Version update (17.04.1 -> 17.04.2)
Subpackages: libKF5Gravatar5

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== libgtop ====

- Add libgtop-add-NULL-pointer-checker.patch: Add NULL pointer
  checker (bug found with scan-build). Patch from upstream stable
  git branch.

==== libgweather ====
Version update (3.24.0 -> 3.24.1)
Subpackages: libgweather-3-6 libgweather-data typelib-1_0-GWeather-3_0

- Update to version 3.24.1:
  + Memory management fixes: bgo#780278, bgo#782760.
  + Updated translations.
- Add libgweather-dont-release-allocated-memory.patch: location:
  Don't release libxml-allocated memory with g_free() (bgo#781828).
  This commit was missed in the release.

==== libkcddb ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== libkcompactdisc ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== libkdcraw ====
Version update (17.04.1 -> 17.04.2)
Subpackages: libKF5KDcraw5 libkdcraw-devel

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== libkdepim ====
Version update (17.04.1 -> 17.04.2)
Subpackages: libKF5Libkdepim5 libKF5LibkdepimAkonadi5

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * Fix potential crash

==== libkexiv2 ====
Version update (17.04.1 -> 17.04.2)
Subpackages: libKF5KExiv2-15_0_0 libkexiv2-devel

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== libkface ====
Version update (17.04.1 -> 17.04.2)
Subpackages: libKF5KFace10_0_0 libkface-devel

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== libkgapi ====
Version update (17.04.1 -> 17.04.2)
Subpackages: libKPimGAPICalendar5 libKPimGAPIContacts5 libKPimGAPICore5 libKPimGAPITasks5

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== libkgeomap ====
Version update (17.04.1 -> 17.04.2)
Subpackages: libKF5KGeoMap10_0_0 libkgeomap-devel

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== libkipi ====
Version update (17.04.1 -> 17.04.2)
Subpackages: libKF5Kipi32_0_0 libkipi-data libkipi-devel

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== libkleo ====
Version update (17.04.1 -> 17.04.2)
Subpackages: libKF5Libkleo5

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * Fix compilation with GCC 7
- Drop upstreamed patches:
  * fix-build-gcc7.patch

==== libkomparediff2 ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== libksane ====
Version update (17.04.1 -> 17.04.2)
Subpackages: libKF5Sane5 libksane-devel libksane-lang

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== libksieve ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * Fix order of attributes
  * Add newline after each error message
  * Don't add empty requires
  * Don't double quote when we have a list
  * Fix generate body element when we have a list
  * Body supports list too

==== libverto ====
Subpackages: libverto-devel libverto1 libverto1-32bit

- There is no change made about the package itself, this is only
  copying over some changelog texts from SLE package:
- [fate#320326](https://fate.suse.com/320326)

==== mailcommon ====
Version update (17.04.1 -> 17.04.2)
Subpackages: libKF5MailCommon5

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== mailimporter ====
Version update (17.04.1 -> 17.04.2)
Subpackages: libKF5MailImporter5 libKF5MailImporterAkonadi5

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== marble ====
Version update (17.04.1 -> 17.04.2)
Subpackages: libastro1 libmarblewidget-qt5-27 marble-devel

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== messagelib ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * Make sure to sign/encrypt message when we send later
  * Change encryption too
  * Fix potential crash as david reported
  * Workaround assert in QtWebEngine 5.9 (ASSERT: "m_updateHttpCache")
  * Fix runtime warning about application/x-pkcs7-signature.
  * Use QTemporaryDir as discussed with David
  * Fix Bug 378526 - KMail 5.4.3: Attachment displayed with wrong filename (kde#378526)

==== mobipocket ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== mpfr ====
Subpackages: libmpfr4 mpfr-devel

- Add mpfr-3.1.5-p8.patch with cummulative patches to patchlevel p8.

==== okular ====
Version update (17.04.1 -> 17.04.2)
Subpackages: okular-lang

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * Initialize cursor in PageView scrollbars with ArrowCursor (kde#334798)

==== opencv ====
Version update (3.1.0 -> 3.2.0)
Subpackages: opencv-devel

- Update to OpenCV 3.2.0
  - Results from 11 GSoC 2016 projects have been submitted to the library:
    + sinusoidal patterns for structured light and phase unwrapping module
    [Ambroise Moreau (Delia Passalacqua)]
    + DIS optical flow (excellent dense optical flow algorithm that is both
    significantly better and significantly faster than Farneback?s algorithm ?
    our baseline), and learning-based color constancy algorithms implementation
    [Alexander Bokov (Maksim Shabunin)]
    + CNN based tracking algorithm (GOTURN) [Tyan Vladimir (Antonella Cascitelli)]
    + PCAFlow and Global Patch Collider algorithms implementation
    [Vladislav Samsonov (Ethan Rublee)]
    + Multi-language OpenCV Tutorials in Python, C++ and Java
    [João Cartucho (Vincent Rabaud)]
    + New camera model and parallel processing for stitching pipeline
    [Jiri Horner (Bo Li)]
    + Optimizations and improvements of dnn module
    [Vitaliy Lyudvichenko (Anatoly Baksheev)]
    + Base64 and JSON support for file storage. Use names like
    ?myfilestorage.xml?base64? when writing file storage to store big chunks of
    numerical data in base64-encoded form.  [Iric Wu (Vadim Pisarevsky)]
    + tiny_dnn improvements and integration
    [Edgar Riba (Manuele Tamburrano, Stefano Fabri)]
    + Quantization and semantic saliency detection with tiny_dnn
    [Yida Wang (Manuele Tamburrano, Stefano Fabri)]
    + Word-spotting CNN based algorithm
    [Anguelos Nicolaou (Lluis Gomez)]
  - Contributions besides GSoC:
    + Greatly improved and accelerated dnn module in opencv_contrib:
  - Many new layers, including deconvolution, LSTM etc.
  - Support for semantic segmentation and SSD networks with samples.
  - TensorFlow importer + sample that runs Inception net by Google.
    + More image formats and camera backends supported
    + Interactive camera calibration app
    + Multiple algorithms implemented in opencv_contrib
    + Supported latest OSes, including Ubuntu 16.04 LTS and OSX 10.12
    + Lot?s of optimizations for IA and ARM archs using parallelism, vector
    instructions and new OpenCL kernels.
    + OpenCV now can use vendor-provided OpenVX and LAPACK/BLAS (including Intel MKL,
    Apple?s Accelerate, OpenBLAS and Atlas) for acceleration
- Refreshed opencv-build-compare.patch
- Dropped upstream opencv-gcc5.patch
- Replace opencv-gcc6-disable-pch.patch with upstream patch
  opencv-gcc6-fix-pch-support-PR8345.patch
- Enable TBB support (C++ threading library)
- Add dependency on openBLAS

==== opencv-qt5 ====
Version update (3.1.0 -> 3.2.0)

- Update to OpenCV 3.2.0
  - Results from 11 GSoC 2016 projects have been submitted to the library:
    + sinusoidal patterns for structured light and phase unwrapping module
    [Ambroise Moreau (Delia Passalacqua)]
    + DIS optical flow (excellent dense optical flow algorithm that is both
    significantly better and significantly faster than Farneback?s algorithm ?
    our baseline), and learning-based color constancy algorithms implementation
    [Alexander Bokov (Maksim Shabunin)]
    + CNN based tracking algorithm (GOTURN) [Tyan Vladimir (Antonella Cascitelli)]
    + PCAFlow and Global Patch Collider algorithms implementation
    [Vladislav Samsonov (Ethan Rublee)]
    + Multi-language OpenCV Tutorials in Python, C++ and Java
    [João Cartucho (Vincent Rabaud)]
    + New camera model and parallel processing for stitching pipeline
    [Jiri Horner (Bo Li)]
    + Optimizations and improvements of dnn module
    [Vitaliy Lyudvichenko (Anatoly Baksheev)]
    + Base64 and JSON support for file storage. Use names like
    ?myfilestorage.xml?base64? when writing file storage to store big chunks of
    numerical data in base64-encoded form.  [Iric Wu (Vadim Pisarevsky)]
    + tiny_dnn improvements and integration
    [Edgar Riba (Manuele Tamburrano, Stefano Fabri)]
    + Quantization and semantic saliency detection with tiny_dnn
    [Yida Wang (Manuele Tamburrano, Stefano Fabri)]
    + Word-spotting CNN based algorithm
    [Anguelos Nicolaou (Lluis Gomez)]
  - Contributions besides GSoC:
    + Greatly improved and accelerated dnn module in opencv_contrib:
  - Many new layers, including deconvolution, LSTM etc.
  - Support for semantic segmentation and SSD networks with samples.
  - TensorFlow importer + sample that runs Inception net by Google.
    + More image formats and camera backends supported
    + Interactive camera calibration app
    + Multiple algorithms implemented in opencv_contrib
    + Supported latest OSes, including Ubuntu 16.04 LTS and OSX 10.12
    + Lot?s of optimizations for IA and ARM archs using parallelism, vector
    instructions and new OpenCL kernels.
    + OpenCV now can use vendor-provided OpenVX and LAPACK/BLAS (including Intel MKL,
    Apple?s Accelerate, OpenBLAS and Atlas) for acceleration
- Refreshed opencv-build-compare.patch
- Dropped upstream opencv-gcc5.patch
- Replace opencv-gcc6-disable-pch.patch with upstream patch
  opencv-gcc6-fix-pch-support-PR8345.patch
- Enable TBB support (C++ threading library)
- Add dependency on openBLAS

==== openvpn ====
Version update (2.3.14 -> 2.4.2)

- Update tp 2.4.2
  - auth-token: Ensure tokens are always wiped on de-auth
  - Make --cipher/--auth none more explicit on the risks
  - Use SHA256 for the internal digest, instead of MD5
  - Deprecate --ns-cert-type
  - Deprecate --no-iv
  - Support --block-outside-dns on multiple tunnels
  - Limit --reneg-bytes to 64MB when using small block ciphers
  - Fix --tls-version-max in mbed TLS builds
  Details changelogs are avilable in
  https://community.openvpn.net/openvpn/wiki/ChangesInOpenvpn24
  [*0001-preform-deferred-authentication-in-the-background.patch
  * openvpn-2.3.x-fixed-multiple-low-severity-issues.patch
  * openvpn-fips140-2.3.2.patch]
- pkcs11-helper-devel >= 1.11 is needed for openvpn-2.4.2
- cleanup the spec file

==== pcre ====
Subpackages: libpcre1 libpcre1-32bit libpcre16-0 libpcrecpp0 libpcreposix0 pcre-devel

- Enable jit on aarch64
- Enable profiled building

==== pimcommon ====
Version update (17.04.1 -> 17.04.2)
Subpackages: libKF5PimCommon5 libKF5PimCommonAkonadi5

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * Add missing "break"

==== signon-kwallet-extension ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== spec-cleaner ====
Version update (0.9.6 -> 0.9.7)

- Version update to 0.9.7:
  * Fix help parsing that crashed the app on execution

==== spectacle ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== sweeper ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== syndication ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None

==== systemd-rpm-macros ====

- BuildIgnore systemd-rpm-macros: a small cycle that can be
  avoided. system-rpm-macros is being pulled in by rpm-build as
  conveniance to the packagers.
- Reference bsc#956849 to please the new OBS 'sanity' check (bsc#1041386)
  %tmpfiles_create is already part of the version shipped by Factory
  so there's nothing to do here execpt mentioning (bsc#956849).

==== telegram-purple ====
Subpackages: libpurple-plugin-telegram libpurple-plugin-telegram-lang pidgin-plugin-telegram

- Add telegram-purple-tl-parser-format-overflow.patch: Fix format
  overflow in tl-parser.

==== totem ====
Subpackages: nautilus-totem totem-plugin-brasero totem-plugins

- Add totem-media-player-keys-fix-usage-vs-api.patch:
  media-player-keys: Fix usage to match API documentation
  (bgo#781589).

==== tracker ====
Subpackages: libtracker-common-1_0 libtracker-control-1_0-0 libtracker-miner-1_0-0 libtracker-sparql-1_0-0 tracker-miner-files typelib-1_0-Tracker-1_0 typelib-1_0-TrackerControl-1_0

- Add tracker-libtracker-sparql-add-osinfo-ontology.patch: Add
  osinfo ontology to the default TrackerNamespace (bgo#780968).
- Add tracker-libtracker-common-whitelist-openat.patch:
  libtracker-common: Whitelist openat() (bgo#782514).

==== tracker-extras ====
Subpackages: nautilus-extension-tracker-tags tracker-gui

- Add tracker-libtracker-sparql-add-osinfo-ontology.patch: Add
  osinfo ontology to the default TrackerNamespace (bgo#780968).
- Add tracker-libtracker-common-whitelist-openat.patch:
  libtracker-common: Whitelist openat() (bgo#782514).

==== vinagre ====

- Update vinagre-freerdp2.patch with patch from bgo#775616. Fix
  build with even later versions of freerdp.

==== wodim ====
Subpackages: cdrkit-cdrtools-compat genisoimage icedax

- add fix-check_linux_26.patch: also compare major kernel version
  number. (bsc#897950)

==== xlockmore ====
Version update (5.45 -> 5.54)

- Update to version 5.54:
  * strange mode updates.
- Add a fix for double entering of password in non-English locales
  (boo#1035688, xlockmore-pam.patch).
- Update to version 5.53:
  * dclock fix for led bounce.
  * Install changes for fortune.
  * strange mode updates.
  * life3d updates.
  * messagefont fix.
  * Changed default message font.
  * spiral erase mode changed.
  * Fix for kumppa -speed 0.2.
  * new website at http://www.sillycycle.com
  * xmb fonts fix.
  * fixed xjack mode.
  * Updated language use.
- Refresh xlockmore-bitmaps.patch, xlockmore-ttf_dir.patch,
  xlockmore-extend-freetype-include-search.patch.
- Re-enable PAM (boo#1035688).
- Disable obsolete --enable-use-mb.

==== yast2-storage ====
Version update (3.2.14 -> 3.2.15)

- Fixed UI syntax error when adding tmpfs (bsc#1041737)
- 3.2.15

==== yast2-trans ====
Version update (84.87.20161108.95adeff -> 84.87.20170607.40033d88)
Subpackages: yast2-trans-af yast2-trans-ar yast2-trans-bg yast2-trans-bn yast2-trans-bs yast2-trans-ca yast2-trans-cs yast2-trans-cy yast2-trans-da yast2-trans-de yast2-trans-el yast2-trans-en_GB yast2-trans-en_US yast2-trans-es yast2-trans-et yast2-trans-fa yast2-trans-fi yast2-trans-fr yast2-trans-gl yast2-trans-gu yast2-trans-hi yast2-trans-hr yast2-trans-hu yast2-trans-id yast2-trans-it yast2-trans-ja yast2-trans-jv yast2-trans-ka yast2-trans-km yast2-trans-ko yast2-trans-lo yast2-trans-lt yast2-trans-mk yast2-trans-mr yast2-trans-nb yast2-trans-nl yast2-trans-pa yast2-trans-pl yast2-trans-pt yast2-trans-pt_BR yast2-trans-ro yast2-trans-ru yast2-trans-si yast2-trans-sk yast2-trans-sl yast2-trans-sr yast2-trans-sv yast2-trans-ta yast2-trans-th yast2-trans-tr yast2-trans-uk yast2-trans-vi yast2-trans-wa yast2-trans-xh yast2-trans-zh_CN yast2-trans-zh_TW yast2-trans-zu

- Update to version 84.87.20170607.40033d88:
  * Add rpm-groups-pot-update.sh
  * Automatic update of add-on.
  * Automatic update of alternatives.
  * Automatic update of base.
  * Automatic update of cio.
  * Automatic update of control.
  * Automatic update of firstboot.
  * Automatic update of gtk.
  * Automatic update of installation.
  * Automatic update of iscsi-lio-server.
  * Automatic update of registration.
  * Automatic update of storage.
  * Change Plural-Forms of lt
  * Consistent heading levels
  * Describe translation process
  * Fixing merge_pot function.
  * New POT for text domain 'add-on'.
  * New POT for text domain 'alternatives'.
  * New POT for text domain 'auth-client'.
  * New POT for text domain 'autoinst'.
  * New POT for text domain 'base'.
  * New POT for text domain 'bootloader'.
  * New POT for text domain 'cio'.
  * New POT for text domain 'cluster'.
  * New POT for text domain 'control'.
  * New POT for text domain 'country'.
  * New POT for text domain 'crowbar'.
  * New POT for text domain 'dhcp-server'.
  * New POT for text domain 'dns-server'.
  * New POT for text domain 'firewall'.
  * New POT for text domain 'firstboot'.
  * New POT for text domain 'fonts'.
  * New POT for text domain 'gtk'.
  * New POT for text domain 'http-server'.
  * New POT for text domain 'installation'.
  * New POT for text domain 'iscsi-client'.
  * New POT for text domain 'iscsi-lio-server'.
  * New POT for text domain 'kdump'.
  * New POT for text domain 'multipath'.
  * New POT for text domain 'ncurses-pkg'.
  * New POT for text domain 'network'.
  * New POT for text domain 'ntp-client'.
  * New POT for text domain 'packager'.
  * New POT for text domain 'product-creator'.
  * New POT for text domain 'qt'.
  * New POT for text domain 'rear'.
  * New POT for text domain 'registration'.
  * New POT for text domain 'reipl'.
  * New POT for text domain 'samba-server'.
  * New POT for text domain 'scanner'.
  * New POT for text domain 'services-manager'.
  * New POT for text domain 'storage'.
  * New POT for text domain 'storage-ng'.
  * New POT for text domain 'tune'.
  * New POT for text domain 'update'.
  * New POT for text domain 'users'.
  * New POT for text domain 'vm'.
  * New POT for text domain 'yast2-apparmor'.
  * Remove obsolete pot files
  * Removed a '&' from german translation for a label.
  * Translated using Weblate (Arabic)
  * Translated using Weblate (Asturian)
  * Translated using Weblate (Belarusian)
  * Translated using Weblate (Bulgarian)
  * Translated using Weblate (Catalan)
  * Translated using Weblate (Chinese (China))
  * Translated using Weblate (Chinese (Taiwan))
  * Translated using Weblate (Czech)
  * Translated using Weblate (Danish)
  * Translated using Weblate (Dutch)
  * Translated using Weblate (English (United Kingdom))
  * Translated using Weblate (Estonian)
  * Translated using Weblate (Finnish)
  * Translated using Weblate (French)
  * Translated using Weblate (Galician)
  * Translated using Weblate (German)
  * Translated using Weblate (Greek)
  * Translated using Weblate (Hebrew)
  * Translated using Weblate (Indonesian)
  * Translated using Weblate (Italian)
  * Translated using Weblate (Japanese)
  * Translated using Weblate (Korean)
  * Translated using Weblate (Lithuanian)
  * Translated using Weblate (Norwegian Bokmål)
  * Translated using Weblate (Norwegian Nynorsk)
  * Translated using Weblate (Persian)
  * Translated using Weblate (Polish)
  * Translated using Weblate (Portuguese (Brazil))
  * Translated using Weblate (Russian)
  * Translated using Weblate (Slovak)
  * Translated using Weblate (Spanish (Argentina))
  * Translated using Weblate (Spanish)
  * Translated using Weblate (Ukrainian)
  * Translated using Weblate (xh (generated))
  * Uncomment 'y2m update'
  * Update DOMAIN_MAP
  * Update README.md
  * Update of rpm-groups.


--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

openvpn defunct [was: New Tumbleweed snapshot 20170612 released!]

Jiri Slaby-6
On 06/14/2017, 04:06 AM, Dominique Leuenberger wrote:
>   openvpn (2.3.14 -> 2.4.2)

Does not work at all. /run/openvpn/ is not created. I guess due to move
of tmpfiles.d from /usr/lib to /usr/lib64. Why was it moved? Has anybody
tested the package at all?

bsc#1044223

thanks,
--
js
suse labs
--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: openvpn defunct [was: New Tumbleweed snapshot 20170612 released!]

Michael Ströder
Jiri Slaby wrote:
> On 06/14/2017, 04:06 AM, Dominique Leuenberger wrote:
>>   openvpn (2.3.14 -> 2.4.2)
>
> Does not work at all. /run/openvpn/ is not created. I guess due to move
> of tmpfiles.d from /usr/lib to /usr/lib64. Why was it moved? Has anybody
> tested the package at all?
>
> bsc#1044223

I can confirm the issue with missing /run/openvpn/. But even after creating this
directory a formerly working config does not work anymore. :-(

Any chance to roll back to former version?

Ciao, Michael.


smime.p7s (5K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: openvpn defunct [was: New Tumbleweed snapshot 20170612 released!]

Jiri Slaby-6
On 06/14/2017, 02:01 PM, Michael Ströder wrote:

> Jiri Slaby wrote:
>> On 06/14/2017, 04:06 AM, Dominique Leuenberger wrote:
>>>   openvpn (2.3.14 -> 2.4.2)
>>
>> Does not work at all. /run/openvpn/ is not created. I guess due to move
>> of tmpfiles.d from /usr/lib to /usr/lib64. Why was it moved? Has anybody
>> tested the package at all?
>>
>> bsc#1044223
>
> I can confirm the issue with missing /run/openvpn/. But even after creating this
> directory a formerly working config does not work anymore. :-(
>
> Any chance to roll back to former version?

comment out the pull line in the config (this is what I had to do)? Can
you paste the output of /var/log/messages or journalctl -b?

regards,
--
js
suse labs
--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: openvpn defunct [was: New Tumbleweed snapshot 20170612 released!]

Michael Ströder
Jiri Slaby wrote:
> comment out the pull line in the config (this is what I had to do)?

???

What's the "pull line"? In the OpenVPN config?

Ciao, Michael.


smime.p7s (5K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: openvpn defunct [was: New Tumbleweed snapshot 20170612 released!]

Ondřej Súkup
yes , line :

pull dhcp-options

from your /etc/openvpn/YOUR.conf





On 14 June 2017 at 14:18, Michael Ströder <[hidden email]> wrote:
> Jiri Slaby wrote:
>> comment out the pull line in the config (this is what I had to do)?
>
> ???
>
> What's the "pull line"? In the OpenVPN config?
>
> Ciao, Michael.
>
--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: New Tumbleweed snapshot 20170612 released!

Sudhir Anand
In reply to this post by Dominique Leuenberger
On Wednesday, 14 June 2017 03:06:27 BST Dominique Leuenberger wrote:
> Please note that this mail was generated by a script.
> The described changes are computed based on the x86_64 DVD.
> The full online repo contains too many changes to be listed here.
>
> Please check the known defects of this snapshot before upgrading:
> https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version
> =Tumbleweed&build=20170612
<snip>

I removed kernel-source package and all previous kernels as well.  When
updating TW, the file conflict check was very quick.

Regards.

Sudhir Anand.
--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: openvpn defunct [was: New Tumbleweed snapshot 20170612 released!]

Bruno Friedmann-2
In reply to this post by Ondřej Súkup
On mercredi, 14 juin 2017 20.06:51 h CEST Ondřej Súkup wrote:

> yes , line :
>
> pull dhcp-options
>
> from your /etc/openvpn/YOUR.conf
>
> On 14 June 2017 at 14:18, Michael Ströder <[hidden email]> wrote:
> > Jiri Slaby wrote:
> >> comment out the pull line in the config (this is what I had to do)?
> >
> > ???
> >
> > What's the "pull line"? In the OpenVPN config?
> >
> > Ciao, Michael.

The pull/push line has to be correctly written

https://community.openvpn.net/openvpn/ticket/809

push dhcp-option DNS 10.13.0.1
has to be
push "dhcp-option DNS 10.13.0.1"

same apply to pull.

--

Bruno Friedmann
 Ioda-Net Sàrl www.ioda-net.ch
 Bareos Partner, openSUSE Member, fsfe fellowship
 GPG KEY : D5C9B751C4653227
 irc: tigerfoot


--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: openvpn defunct [was: New Tumbleweed snapshot 20170612 released!]

Michael Ströder
Bruno Friedmann wrote:
> The pull/push line has to be correctly written
>
> https://community.openvpn.net/openvpn/ticket/809
>
> push dhcp-option DNS 10.13.0.1
> has to be
> push "dhcp-option DNS 10.13.0.1"
>
> same apply to pull.

Thanks for this information. But this was not the issue on my system.

For the record: In my case a client configuration option was used which was deprecated in
2.3.x and removed in 2.4. So upgrading to 2.4 with this existing config failed.

Ciao, Michael.


smime.p7s (5K) Download Attachment